/*
 * Class WEL_BLACK_PEN
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_727 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_727 [] = {0xFF01,1551,726,0xFFFF};
static const EIF_TYPE_INDEX egt_2_727 [] = {0xFF01,726,0xFFFF};
static const EIF_TYPE_INDEX egt_3_727 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_727 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_727 [] = {0xFF01,726,0xFFFF};
static const EIF_TYPE_INDEX egt_6_727 [] = {0xFF01,726,0xFFFF};
static const EIF_TYPE_INDEX egt_7_727 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_727 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_727 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_727 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_727 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_727 [] = {0xFF01,726,0xFFFF};
static const EIF_TYPE_INDEX egt_13_727 [] = {0xFF01,2094,869,0xFFFF};
static const EIF_TYPE_INDEX egt_14_727 [] = {0xFF01,1670,869,0xFFFF};
static const EIF_TYPE_INDEX egt_15_727 [] = {0xFF01,2094,869,0xFFFF};
static const EIF_TYPE_INDEX egt_16_727 [] = {0xFF01,1300,0xFFFF};
static const EIF_TYPE_INDEX egt_17_727 [] = {0xFF01,787,0xFFFF};


static const struct desc_info desc_727[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_727), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_727), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_727), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_727), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_727), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_727), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_727), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_727), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_727), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_727), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_727), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_727), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x05AD /*726*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_727), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12904, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16092, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 12894, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12895, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12896, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17282, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17162, 16},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17163, 1},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17164, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17165, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17166, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17167, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17168, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17276, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17170, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12898, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17163, 1},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17164, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12899, 4},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12900, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12901, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12902, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12903, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12904, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12905, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17276, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12906, 8},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12907, 12},
	{EIF_GENERIC(egt_13_727), 12908, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_727), 12897, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17274, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17275, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17277, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17278, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17279, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_727), 17280, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17281, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12909, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12910, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12911, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12912, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12913, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12914, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12915, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12916, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12917, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12918, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12919, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12920, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12921, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12922, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12923, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12924, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12925, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12926, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12927, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17385, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17392, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17386, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17366, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17367, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17368, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17369, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17370, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17371, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_727), 17361, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_727), 17362, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17363, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17364, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17365, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4786, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4787, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4788, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4789, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4790, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4791, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4792, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4793, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4794, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4795, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4796, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4797, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4798, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4799, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4800, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4801, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4802, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4803, 0xFFFFFFFF},
};
void Init727(void)
{
	IDSC(desc_727, 0, 726);
	IDSC(desc_727 + 1, 1, 726);
	IDSC(desc_727 + 32, 791, 726);
	IDSC(desc_727 + 34, 1503, 726);
	IDSC(desc_727 + 37, 1359, 726);
	IDSC(desc_727 + 47, 529, 726);
	IDSC(desc_727 + 62, 1369, 726);
	IDSC(desc_727 + 69, 1023, 726);
	IDSC(desc_727 + 88, 1028, 726);
	IDSC(desc_727 + 91, 1131, 726);
	IDSC(desc_727 + 102, 1067, 726);
}


#ifdef __cplusplus
}
#endif
